Page MenuHomePhabricator

Vector Typography Refresh (tracking)
Closed, ResolvedPublic

Description

Tracking bug for issues caused by the typography refresh / 3d59ba6ad997e9522adbac0f321b06bf32487b5b (https://gerrit.wikimedia.org/r/120978).

Details

Reference
bz63549

Related Objects

StatusAssignedTask
Resolved Jdlrobson
ResolvedNone
ResolvedKrinkle
ResolvedNone
ResolvedNone
ResolvedNone
ResolvedNone
DeclinedNone
DeclinedNone
ResolvedNone
ResolvedEdokter
ResolvedNone
DeclinedNone
DeclinedNone
ResolvedNone
InvalidMarkTraceur
ResolvedNone
InvalidNone
InvalidKrinkle
ResolvedNone
DeclinedNone
ResolvedNone
ResolvedKrinkle
ResolvedEdokter
ResolvedNone
ResolvedNone
ResolvedNone
ResolvedNone
DeclinedNone

Event Timeline

bzimport raised the priority of this task from to Normal.
bzimport set Reference to bz63549.
bzimport added a subscriber: Unknown Object (MLST).
SamB created this task.Apr 4 2014, 8:36 PM

swalling wrote:

Removed bug 260 as a dependency since we removed that from the specification and code in https://gerrit.wikimedia.org/r/#/c/121419/

For things like bug 63720 comment 10, we need reliable information or we can't assess bug status. We clearly don't have internal resources to assess whether, for instance, HP copies of Helvetica are installed by thousands, millions or hundreds millions users: does someone have ideas on what external resources would be available for such assessments?

swalling wrote:

Nemo: why did you add a Liberation Sans bug to the see also? Liberation Sans is no longer specified in the font-family styles and users on Linux systems are getting Nimbus Sans now.

Because it was reported in relation to [[mw:Talk:Typography refresh]].
I can link it in comments: https://bugzilla.redhat.com/show_bug.cgi?id=1084493

I have merged the Gerrit change (https://gerrit.wikimedia.org/r/#/c/124475/),
restoring the body font to "sans-serif". The heading font is unchanged for now.

I've read the entire wikitech-l thread (89 emails as of writing) and
pondered this carefully. My summary of the situation is:

  • This font stack, according to WMF Design, only provides real improvements for Macs (~6% of Wikimedia sites visitors per http://stats.wikimedia.org/wikimedia/squids/SquidReportOperatingSystems.htm) and should be (nearly) identical to defaults for other systems. However, it causes major rendering issues for an unspecified number of Windows and Linux users (especially with, respectively, Helvetica and Nimbus Sans L; see both open and closed dependencies of bug 63549).
  • This font stack also apparently causes issues with non-Latin-script languages (not very well-specified ones, though; more bug reports like bug 63817 would be welcome); it's serious enough for at least one affected Wikimedia wiki (the Japanese Wikipedia) to have already reset the stack to "sans-serif". This might affect the serif heading fonts more than the sans-serif body fonts (again, more precise reports needed).
  • The wikitech-l discussion, as well as various on-wiki discussions (e.g. on WP:VPT on the English Wikipedia) have been overwhelmingly in favor of restoring the plain "sans-serif" font definition.
  • Orthogonally to these issues, all other aspects of the typography refresh have been generally considered successful and minor problems with them have been quickly fixed.

Based on the points above and my own common sense I think this should
be merged, and a similar follow-up for serif heading fonts might also
be necessary (but that's obviously a lower-severity problem, there
isn't that much text in headings). Steven, I'm sorry, but I'm
overriding your -2.

(I'm posting this on the Gerrit change
https://gerrit.wikimedia.org/r/#/c/124475/, on the tracking bug
https://bugzilla.wikimedia.org/show_bug.cgi?id=63549 and in the
wikitech-l thread. Please reply on wikitech-l.)

SamB added a comment.Apr 11 2014, 7:14 PM

(In reply to Bartosz Dziewoński from comment #5)

(I'm posting this on the Gerrit change
https://gerrit.wikimedia.org/r/#/c/124475/, on the tracking bug
https://bugzilla.wikimedia.org/show_bug.cgi?id=63549 and in the
wikitech-l thread. Please reply on wikitech-l.)

What, no link to the thread?

Krinkle updated the task description. (Show Details)Jan 5 2015, 2:06 AM
Krinkle set Security to None.
Krinkle removed subtasks: T66124: font-size in VisualEditor is smaller than view mode, T65985: [Regression] Vector: font-size and line-height should not be applied to #bodyContent (too specific, not applied to VisualEditor etc.), T65942: Remove font choices from REL1_23 branch while the implementation is unstable, T65887: mediawiki.ui buttons using system fonts (rather than Vector's font-family settings), T65845: Text proportion is lost when zooming, T65844: h3 should not be more prominent than h2 headings, T65843: Times New Roman font appearing unintentionally on he.wp (as Georgia font has no support for Hebrew), T65827: Explore better Korean default fonts, T65817: Provide a workaround to IE's bug that causes the generic "serif" rendered broken, T65807: Kerning of Nimbus Sans L could be improved, T65776: Bugzilla's default skin needs typography refresh, T64073: Flow: Small view and "This topic hidden" titlebars are misaligned after typography refresh, T65731: Typography refresh - body line-height is applied to wrong ID, T65720: Helvetica rendering issues on Windows XP, T65718: WebFonts is no longer applied to headings (tofus are still shown) after the typography refresh, T65686: Effective font size is lower in Firefox/Iceweasel after typography refresh, T65662: Windows 7 renders Helvetica Neue in very ugly way, T65512: Typography refresh body type renders incorrectly in Windows, T67160: Refresh thumbnail style in Vector, T65408: Re-consider font size and font-family for form elements in Vector, T65394: Vector, Firefox and "Typography Refresh" makes titles in Template {{Titre section}} displayed too low on fr.wp main page, T65390: Vector: Headings have excessive top margin when used as first element in a content container, T65351: Document "Typography refresh/update" CSS changes for Vector, T65312: Small margin between h2 and special page table element, T63470: Helvetica Neue cannot render some combining characters correctly, T66653: Typography refresh fixup: list line-height, h1 margin, h3 font-size, T56604: Large number of CSS rules for external links, T59286: [Regression] Typography refresh narrows sidebar cutting off logo, T51965: Superscripts and subscripts change line height, T26402: Scaling of fonts in Firefox results in too small fonts.
Krinkle removed subscribers: Unknown Object (MLST), Krinkle.
Krinkle closed this task as Resolved.EditedJan 5 2015, 2:09 AM
Krinkle claimed this task.

Closing as the Typography Refresh is over. The remaining issues that were marked as blocking this weren't blocking this as they were filed after the implementation landed. Some of them are regressions, other are ideas for further enhancements. They've been updated accordingly to be their own task.

Nemo_bis added a subscriber: Nemo_bis.EditedJan 5 2015, 8:30 PM

I disagree with the closure. This is a proper tracking bug for real issues caused by Typography refresh, which must be handled.

If there are no resources to handle the regressions, changes should be reverted. We had some temporary reversions in the REL1_24 branch, but a stable solution is needed for 1.25.

I disagree with the closure. This is a proper tracking bug for real issues caused by Typography refresh, which must be handled.

I'm not lowering priority in any way. I'm merely saying it's not worth treating as a tracking bug. If a change caused regressions, report the issues. Then simply reference the issues in a comment on the patch or task that introduced the issue.

The regressions have been file as their own issue already and have been referenced here. I agree with the sentiment that if regressions are problematic enough that it may warrant reverting. That goes for development in general.

SamB added a subscriber: Krinkle.Jan 8 2015, 11:14 PM

Closing as the Typography Refresh is over. The remaining issues that were marked as blocking this weren't blocking this as they were filed after the implementation landed. Some of them are regressions, other are ideas for further enhancements. They've been updated accordingly to be their own task.

I'm pretty sure I "reported" this after the refresh had gone live; it was intended to help people track the fallout from the change. It really doesn't make any sense to close it before the regressions are fixed; the enhancement requests are a bit of a gray area, but given how long it's been since the refresh went live, it probably isn't too helpful to have them here...

SamB updated the task description. (Show Details)Jan 9 2015, 1:11 AM
SamB reopened this task as Open.
Krinkle removed Krinkle as the assignee of this task.Jan 9 2015, 3:14 AM
In T65549#964677, @SamB wrote:

I'm pretty sure I "reported" this after the refresh had gone live.

I don't see why you'd want to maintain tracker bugs for which changes introduced bugs. There's tags for Regression. And as courtesy/notification, one can leave a comment on the original task page referencing the caused issues.

Krinkle removed a subscriber: Krinkle.Jan 9 2015, 3:15 AM
Nemo_bis added a subscriber: Krinkle.EditedJan 9 2015, 8:48 PM

I don't see why you'd want to maintain tracker bugs for which changes introduced bugs.

To have a list of what happens in MediaWiki 1.24/1.25 if we don't take the typography refresh out of it (or fix the regressions).

There's tags for Regression. And as courtesy/notification, one can leave a comment on the original task page referencing the caused issues.

For most people, there was only one bug/request: "revert typography refresh". Instead of having a gargantuan list of reasons in one report, the issues were spread across separate reports hoping to identify separate solutions for each. After a while, if it's established that a certain number of regressions can't be fixed, the solution is to revert.

Did someone assess the status of the various regressions? Which of the regressions were released as part of 1.24, and which are going to be out in 1.25? Were they communicated in the release notes? Does the release checklist for 1.25 include the need to check for typography refresh regressions status?

Nemo_bis updated the task description. (Show Details)Jan 9 2015, 8:59 PM
Nemo_bis added subscribers: Mglaser, MarkAHershberger.

Specific bugs can block a release but this is a tracking bug. I'm removing the associated MW-1.24-release, MW-1.25-release projects as I don't see how "Vector Typography Refresh (tracking)" describes something to fix. Feel free to associate release projects to specific and actionable tasks.

Catrope removed a subscriber: Catrope.Nov 13 2015, 7:43 PM

sans-serif is the best practice. Supporting evidence: https://lwn.net/Articles/676520/

Qgil removed a subscriber: Qgil.Feb 29 2016, 9:09 AM
Isarra moved this task from Backlog to Typography on the Vector board.Apr 7 2016, 1:25 AM
Krinkle removed a subscriber: Krinkle.Apr 7 2016, 11:50 PM
Jdlrobson closed this task as Resolved.
Jdlrobson claimed this task.
Jdlrobson added a subscriber: Jdlrobson.

This tracking task is not really helpful any more.